aboutsummaryrefslogtreecommitdiff
path: root/test/lint
diff options
context:
space:
mode:
authorjosibake <josibake@protonmail.com>2021-08-24 18:05:43 +0200
committerfanquake <fanquake@gmail.com>2021-10-16 09:14:37 +0800
commita46f71bb703dd8ada77e5eaf2a0b05d741d39bbf (patch)
tree65db1ba717a255212cb4e29941dbadf1fb74c09d /test/lint
parent22e652662bb1fb9bd7ae6ab01c20665ad1c57895 (diff)
downloadbitcoin-a46f71bb703dd8ada77e5eaf2a0b05d741d39bbf.tar.xz
lint: enable mypy checking for missing imports
Achieve this by adding some ignore, and making data/ importable. Co-authored-by: João Barbosa <joao.paulo.barbosa@gmail.com>
Diffstat (limited to 'test/lint')
-rwxr-xr-xtest/lint/lint-python.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/lint/lint-python.sh b/test/lint/lint-python.sh
index c448fa6f9a..3d22407fd1 100755
--- a/test/lint/lint-python.sh
+++ b/test/lint/lint-python.sh
@@ -102,7 +102,7 @@ if ! PYTHONWARNINGS="ignore" flake8 --ignore=B,C,E,F,I,N,W --select=$(IFS=","; e
EXIT_CODE=1
fi
-if ! mypy --ignore-missing-imports --show-error-codes $(git ls-files "test/functional/*.py" "contrib/devtools/*.py"); then
+if ! mypy --show-error-codes $(git ls-files "test/functional/*.py" "contrib/devtools/*.py"); then
EXIT_CODE=1
fi